import { useCountryInfoStore } from '/@/stores/countryInfo';


const countryInfoStore = useCountryInfoStore();

export const platformColumns = [
  { type: 'seq', width: 50, align: 'center', fixed: 'left' },
  {
    field: 'operatorName', title: '运营', minWidth: 'auto', align: 'center',  fixed: 'left',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.operatorName ? row.operatorName : '--' }</span>;
      }
    }
  },
  {
    field: 'platformNumber', title: '平台编号', minWidth: 'auto', align: 'center', slots: { default: 'platformNumber' }
  },
  {
    field: 'platformName', title: '平台名称', minWidth: 'auto', align: 'center', slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' } style={{color: '#303133'}}>{ row.platformName ? row.platformName : '--' }</span>;
      }
    }
  },
  {
    field: 'country', title: '国家', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        const country = countryInfoStore.countries.find(c => c.name === row.country);
        const color = country ? country.color : '#3875F6';
        return <el-tag effect="plain" round style={{ color: color, borderColor: color }}>{ row.country ? row.country : '--' }</el-tag>;
      }
    }
  },
  {
    field: 'brandName', title: '品牌名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.brandName ? row.brandName : '--' }</span>;
      }
    }
  },
  {
    field: 'currencyCode', title: '货币代码', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.currencyCode ? row.currencyCode : '--' }</span>;
      }
    }
  },
  {
    field: 'status', title: '状态', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.status ? row.status : '--' }</span>;
      }
    }
  },
  {
    field: 'platform', title: '平台', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.platform ? row.platform : '--' }</span>;
      }
    }
  },
  {
    field: 'line', title: '线路', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.line ? row.line : '--' }</span>;
      }
    }
  },
  {
    field: 'ipaddress', title: 'IP地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.ipaddress ? row.ipaddress : '--' }</span>;
      }
    }
  },
  {
    field: 'company', title: '公司名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.company ? row.company : '--' }</span>;
      }
    }
  },
  {
    field: 'companyEnglishName', title: '公司英文名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.companyEnglishName ? row.companyEnglishName : '--' }</span>;
      }
    }
  },
  {
    field: 'address', title: '公司地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.address ? row.address : '--' }</span>;
      }
    }
  },
  {
    field: 'juridicalPerson', title: '法人', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.juridicalPerson ? row.juridicalPerson : '--' }</span>;
      }
    }
  },
  {
    field: 'juridicalPersonCreditCard', title: '法人信用卡', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.juridicalPersonCreditCard ? row.juridicalPersonCreditCard : '--' }</span>;
      }
    }
  },
  {
    field: 'juridicalPersonCreditCardAddress', title: '法人信用卡地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.juridicalPersonCreditCardAddress ? row.juridicalPersonCreditCardAddress : '--' }</span>;
      }
    }
  },
  {
    field: 'receivablesAccount', title: '收款账户', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.receivablesAccount ? row.receivablesAccount : '--' }</span>;
      }
    }
  },
  {
    field: 'receivablesAccountCompany', title: '收款账户公司', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.receivablesAccountCompany ? row.receivablesAccountCompany : '--' }</span>;
      }
    }
  },
  {
    field: 'vatNumber', title: 'VAT税号', minWidth: 200, align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.vatNumber ? row.vatNumber : '--' }</span>;
      }
    }
  },
  {
    field: 'vatCompany', title: 'VAT公司', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.vatCompany ? row.vatCompany : '--' }</span>;
      }
    }
  },
  {
    field: 'shopPhoneEmail', title: '店铺电话与邮箱', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={ 'font-medium' }>{ row.shopPhoneEmail ? row.shopPhoneEmail : '--' }</span>;
      }
    }
  }
];

export const shopCurrentColumns = [
  { type: 'seq', width: 50, align: 'center', fixed: 'left' },
  {
    field: 'operatorName', title: '运营', minWidth: 'auto', align: 'center', fixed: 'left',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.operatorName ? row.operatorName : '--'}</span>;
      },
    },
  },
  {
    field: 'platformNumber', title: '平台编号', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.platformNumber ? row.platformNumber : '--'}</span>;
      },
    },
  },
  {
    field: 'platformName', title: '平台名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.platformName ? row.platformName : '--'}</span>;
      },
    },
  },
  {
    field: 'country', title: '国家', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        const country = countryInfoStore.countries.find(c => c.name === row.country);
        const color = country ? country.color : '#3875F6';
        return <el-tag effect="plain" round style={{ color: color, borderColor: color }}>{ row.country ? row.country : '--' }</el-tag>;
      }
    }
  },
  {
    field: 'brandName', title: '品牌名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.brandName ? row.brandName : '--'}</span>;
      },
    },
  },
  {
    field: 'currencyCode', title: '货币代码', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.currencyCode ? row.currencyCode : '--'}</span>;
      },
    },
  },
  {
    field: 'status', title: '状态', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.status ? row.status : '--'}</span>;
      },
    },
  },
  {
    field: 'platform', title: '平台', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.platform ? row.platform : '--'}</span>;
      },
    },
  },
  {
    field: 'line', title: '线路', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.line ? row.line : '--'}</span>;
      },
    },
  },
  {
    field: 'ipaddress', title: 'IP地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.ipaddress ? row.ipaddress : '--'}</span>;
      },
    },
  },
  {
    field: 'company', title: '公司名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.company ? row.company : '--'}</span>;
      },
    },
  },
  {
    field: 'companyEnglishName', title: '公司英文名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.companyEnglishName ? row.companyEnglishName : '--'}</span>;
      },
    },
  },
  {
    field: 'address', title: '公司地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.address ? row.address : '--'}</span>;
      },
    },
  },
  {
    field: 'juridicalPerson', title: '法人', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.juridicalPerson ? row.juridicalPerson : '--'}</span>;
      },
    },
  },
  {
    field: 'juridicalPersonCreditCard', title: '法人信用卡', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.juridicalPersonCreditCard ? row.juridicalPersonCreditCard : '--'}</span>;
      },
    },
  },
  {
    field: 'juridicalPersonCreditCardAddress', title: '法人信用卡地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.juridicalPersonCreditCardAddress ? row.juridicalPersonCreditCardAddress : '--'}</span>;
      },
    },
  },
  {
    field: 'receivablesAccount', title: '收款账户', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.receivablesAccount ? row.receivablesAccount : '--'}</span>;
      },
    },
  },
  {
    field: 'receivablesAccountCompany', title: '收款账户公司', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.receivablesAccountCompany ? row.receivablesAccountCompany : '--'}</span>;
      },
    },
  },
  {
    field: 'vatNumber', title: 'VAT税号', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.vatNumber ? row.vatNumber : '--'}</span>;
      },
    },
  },
  {
    field: 'vatCompany', title: 'VAT公司', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.vatCompany ? row.vatCompany : '--'}</span>;
      },
    },
  },
  {
    field: 'shopPhoneEmail', title: '店铺电话邮箱', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.shopPhoneEmail ? row.shopPhoneEmail.join(', ') : '--'}</span>;
      },
    },
  }
];

export const historyColumns: any = [
  { type: 'seq', width: 50, align: 'center', fixed: 'left' },
  {
    field: 'operatorName', title: '运营', minWidth: 'auto', align: 'center', fixed: 'left',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.operatorName ? row.operatorName : '--'}</span>;
      },
    },
  },
  {
    field: 'platformNumber', title: '平台编号', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.platformNumber ? row.platformNumber : '--'}</span>;
      },
    },
  },
  {
    field: 'platformName', title: '平台名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.platformName ? row.platformName : '--'}</span>;
      },
    },
  },
  {
    field: 'country', title: '国家', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        const country = countryInfoStore.countries.find(c => c.name === row.country);
        const color = country ? country.color : '#3875F6';
        return <el-tag effect="plain" round style={{ color: color, borderColor: color }}>{ row.country ? row.country : '--' }</el-tag>;
      }
    }
  },
  {
    field: 'brandName', title: '品牌名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.brandName ? row.brandName : '--'}</span>;
      },
    },
  },
  {
    field: 'currencyCode', title: '货币代码', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.currencyCode ? row.currencyCode : '--'}</span>;
      },
    },
  },
  {
    field: 'status', title: '状态', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.status ? row.status : '--'}</span>;
      },
    },
  },
  {
    field: 'platform', title: '平台', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.platform ? row.platform : '--'}</span>;
      },
    },
  },
  {
    field: 'line', title: '线路', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.line ? row.line : '--'}</span>;
      },
    },
  },
  {
    field: 'ipaddress', title: 'IP地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.ipaddress ? row.ipaddress : '--'}</span>;
      },
    },
  },
  {
    field: 'company', title: '公司名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.company ? row.company : '--'}</span>;
      },
    },
  },
  {
    field: 'companyEnglishName', title: '公司英文名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.companyEnglishName ? row.companyEnglishName : '--'}</span>;
      },
    },
  },
  {
    field: 'address', title: '公司地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.address ? row.address : '--'}</span>;
      },
    },
  },
  {
    field: 'juridicalPerson', title: '法人', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.juridicalPerson ? row.juridicalPerson : '--'}</span>;
      },
    },
  },
  {
    field: 'juridicalPersonCreditCard', title: '法人信用卡', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.juridicalPersonCreditCard ? row.juridicalPersonCreditCard : '--'}</span>;
      },
    },
  },
  {
    field: 'juridicalPersonCreditCardAddress', title: '法人信用卡地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.juridicalPersonCreditCardAddress ? row.juridicalPersonCreditCardAddress : '--'}</span>;
      },
    },
  },
  {
    field: 'receivablesAccount', title: '收款账户', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.receivablesAccount ? row.receivablesAccount : '--'}</span>;
      },
    },
  },
  {
    field: 'receivablesAccountCompany', title: '收款账户公司', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.receivablesAccountCompany ? row.receivablesAccountCompany : '--'}</span>;
      },
    },
  },
  {
    field: 'vatNumber', title: 'VAT税号', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.vatNumber ? row.vatNumber : '--'}</span>;
      },
    },
  },
  {
    field: 'vatCompany', title: 'VAT公司', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.vatCompany ? row.vatCompany : '--'}</span>;
      },
    },
  },
  {
    field: 'create_datetime', title: '创建时间', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.create_datetime ? row.create_datetime : '--'}</span>;
      },
    },
  },
  {
    field: 'approveNum', title: '审批数量', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.approveNum ? row.approveNum : '--'}</span>;
      },
    },
  },
  {
    field: 'shopPhoneEmail', title: '店铺电话邮箱', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        const phoneEmail = [row.shopPhoneAndName, row.shopEmail, row.subShopPhoneAndName, row.subShopEmail].filter(item => item).join(', ');
        return <span class={'font-medium'}>{phoneEmail ? phoneEmail : '--'}</span>;
      },
    },
  },
];


export const computerColumns: any = [
  { type: 'seq', width: 50, align: 'center', fixed: 'left' },
  {
    field: 'platformNumber', title: '平台编号', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.platformNumber ? row.platformNumber : '--'}</span>;
      },
    },
  },
  {
    field: 'platform', title: '平台', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.platform ? row.platform : '--'}</span>;
      },
    },
  },
  {
    field: 'platformName', title: '平台名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.platformName ? row.platformName : '--'}</span>;
      },
    },
  },
  {
    field: 'country', title: '国家', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        const country = countryInfoStore.countries.find(c => c.name === row.country);
        const color = country ? country.color : '#3875F6';
        return <el-tag effect="plain" round style={{ color: color, borderColor: color }}>{ row.country ? row.country : '--' }</el-tag>;
      }
    }
  },
  {
    field: 'userName', title: '用户名', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.userName ? row.userName : '--'}</span>;
      },
    },
  },
  {
    field: 'company', title: '公司名称', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.company ? row.company : '--'}</span>;
      },
    },
  },
  {
    field: 'ipaddress', title: 'IP地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.ipaddress ? row.ipaddress : '--'}</span>;
      },
    },
  },
  {
    field: 'macaddress', title: 'MAC地址', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.macaddress ? row.macaddress : '--'}</span>;
      },
    },
  },
  {
    field: 'computerType', title: '计算机类型', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        return <span class={'font-medium'}>{row.computerType ? row.computerType : '--'}</span>;
      },
    },
  },
];

